[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

RGBAccessor< RGBVALUE > Class Template Reference

`#include <vigra/rgbvalue.hxx>`

Inheritance diagram for RGBAccessor< RGBVALUE >:

## Public Member Functions

template<class RGBIterator >
component_type const & | blue (RGBIterator const &rgb) const
template<class RGBIterator , class DIFFERENCE >
component_type const & | blue (RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator >
component_type const & | green (RGBIterator const &rgb) const
template<class RGBIterator , class DIFFERENCE >
component_type const & | green (RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator >
component_type const & | red (RGBIterator const &rgb) const
template<class RGBIterator , class DIFFERENCE >
component_type const & | red (RGBIterator const &rgb, DIFFERENCE diff) const
template<class V , class RGBIterator >
void | setBlue (V value, RGBIterator const &rgb) const
template<class V , class RGBIterator , class DIFFERENCE >
void | setBlue (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class V , class RGBIterator >
void | setGreen (V value, RGBIterator const &rgb) const
template<class V , class RGBIterator , class DIFFERENCE >
void | setGreen (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class V , class RGBIterator >
void | setRed (V value, RGBIterator const &rgb) const
template<class V , class RGBIterator , class DIFFERENCE >
void | setRed (V value, RGBIterator const &rgb, DIFFERENCE diff) const
Public Member Functions inherited from VectorAccessor< RGBVALUE >
component_type const & | getComponent (ITERATOR const &i, int idx) const
component_type const & | getComponent (ITERATOR const &i, OFFSET const &diff, int idx) const
void | setComponent (V const &value, ITERATOR const &i, int idx) const
void | setComponent (V const &value, ITERATOR const &i, OFFSET const &diff, int idx) const
Public Member Functions inherited from SequenceAccessor< SEQUENCE >
template<class ITERATOR >
iterator | begin (ITERATOR const &i) const
template<class ITERATOR , class OFFSET >
iterator | begin (ITERATOR const &i, OFFSET const &diff) const
template<class ITERATOR >
iterator | end (ITERATOR const &i) const
template<class ITERATOR , class OFFSET >
iterator | end (ITERATOR const &i, OFFSET const &diff) const
template<class ITERATOR >
unsigned int | size (ITERATOR const &i) const
template<class ITERATOR , class OFFSET >
unsigned int | size (ITERATOR const &i, OFFSET const &diff) const
Public Member Functions inherited from StandardAccessor< SEQUENCE >
SEQUENCE const & | operator() (ITERATOR const &i) const
SEQUENCE const & | operator() (ITERATOR const &i, OFFSET const &diff) const
void | set (V const &value, ITERATOR const &i) const
void | set (V const &value, ITERATOR const &i, OFFSET const &diff) const

## Additional Inherited Members

Public Types inherited from VectorAccessor< RGBVALUE >
typedef VECTOR::value_type | component_type
typedef VectorElementAccessor< VectorAccessor< RGBVALUE > > | ElementAccessor
Public Types inherited from SequenceAccessor< SEQUENCE >
typedef SEQUENCE::value_type | component_type
Public Types inherited from StandardAccessor< SEQUENCE >
typedef SEQUENCE | value_type

## Detailed Description

template<class RGBVALUE>
class vigra::RGBAccessor< RGBVALUE >

Encapsulate access to rgb values.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

## ◆ red() [1/2]

template<class RGBVALUE >
template<class RGBIterator >

component_type const & red | ( | RGBIterator const & | rgb | ) | const

Get value of the red component

## ◆ setRed() [1/2]

template<class RGBVALUE >
template<class V , class RGBIterator >

void setRed | ( | V | value,
|  | RGBIterator const & | rgb
| ) |  | const

Set value of the red component. The type `V` of the passed in `value` is automatically converted to `component_type`.

## ◆ red() [2/2]

template<class RGBVALUE >
template<class RGBIterator , class DIFFERENCE >

component_type const & red | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | diff
| ) |  | const

Get value of the red component at an offset

## ◆ setRed() [2/2]

template<class RGBVALUE >
template<class V , class RGBIterator , class DIFFERENCE >

void setRed | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | diff
| ) |  | const

Set value of the red component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

## ◆ green() [1/2]

template<class RGBVALUE >
template<class RGBIterator >

component_type const & green | ( | RGBIterator const & | rgb | ) | const

Get value of the green component

## ◆ setGreen() [1/2]

template<class RGBVALUE >
template<class V , class RGBIterator >

void setGreen | ( | V | value,
|  | RGBIterator const & | rgb
| ) |  | const

Set value of the green component. The type `V` of the passed in `value` is automatically converted to `component_type`.

## ◆ green() [2/2]

template<class RGBVALUE >
template<class RGBIterator , class DIFFERENCE >

component_type const & green | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Get value of the green component at an offset

## ◆ setGreen() [2/2]

template<class RGBVALUE >
template<class V , class RGBIterator , class DIFFERENCE >

void setGreen | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Set value of the green component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

## ◆ blue() [1/2]

template<class RGBVALUE >
template<class RGBIterator >

component_type const & blue | ( | RGBIterator const & | rgb | ) | const

Get value of the blue component

## ◆ setBlue() [1/2]

template<class RGBVALUE >
template<class V , class RGBIterator >

void setBlue | ( | V | value,
|  | RGBIterator const & | rgb
| ) |  | const

Set value of the blue component. The type `V` of the passed in `value` is automatically converted to `component_type`.

## ◆ blue() [2/2]

template<class RGBVALUE >
template<class RGBIterator , class DIFFERENCE >

component_type const & blue | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Get value of the blue component at an offset

## ◆ setBlue() [2/2]

template<class RGBVALUE >
template<class V , class RGBIterator , class DIFFERENCE >

void setBlue | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) |  | const

Set value of the blue component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

The documentation for this class was generated from the following files:

- vigra/accessor.hxx
- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1